### Constructor

# Gio DataInputStream new

#### Declaration

    GDataInputStream*
    g_data_input_stream_new (
      GInputStream* base_stream
    )

#### Description

Creates a new data input stream for the `base_stream`.

#### Parameters

`base_stream`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

#### Return value

Type: `GDataInputStream`

A new `GDataInputStream`.

The caller of the function takes ownership of the data, and is responsible for freeing it.